GPAC 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1970861 漏洞类型 缓冲区错误
发布时间 2020-03-24 更新时间 2020-03-26
CVE编号 CVE-2019-20629 CNNVD-ID CNNVD-202003-1460
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-202003-1460
|漏洞详情
GPAC是一款开源的多媒体框架。 GPAC 0.8.0之前版本中的media_tools/mpegts.c文件的gf_m2ts_process_pmt存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:MISC

链接:https://github.com/gpac/gpac/commit/2320eb73afba753b39b7147be91f7be7afc0eeb7


来源:MISC

链接:https://github.com/gpac/gpac/issues/1264


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-20629